/*
 * Copyright PMEase (c) 2005-2008,
 * Date: Feb 24, 2008
 * Time: 4:29:05 PM
 * All rights reserved.
 * 
 * Revision: $$Id: AntPlugin.java 1550 2008-10-24 08:24:21Z robin $$ 
 */
package com.pmease.quickbuild.plugin.builder.ant;

import com.pmease.quickbuild.extensionpoint.StepProvider;
import com.pmease.quickbuild.pluginsupport.AbstractPlugin;
import com.pmease.quickbuild.pluginsupport.PluginCategory;
import com.pmease.quickbuild.stepsupport.Step;

public class AntPlugin extends AbstractPlugin {

	@Override
	public Object[] getExtensions() {
		return new Object[]{new StepProvider() {

			@Override
			public Class<? extends Step> getStepClass() {
				return AntBuildStep.class;
			}

		}};
	}

	@Override
	public Class<?> getSettingClass() {
		return AntSetting.class;
	}

	public PluginCategory getCategory() {
		return PluginCategory.BUILDER;
	}
}